seq_escape
Prev | Other Functions | Next

## Name

seq_escape — print string into buffer, escaping some characters

## Synopsis

`int seq_escape (` | struct seq_file * | m,
| const char * | s,
| const char * | esc`)`;

## Arguments

`m`

  target buffer

`s`

  string

`esc`

  set of characters that need escaping

## Description

Puts string into buffer, replacing each occurrence of character from `esc` with usual octal escape. Returns 0 in case of success, -1 - in case of overflow.

Prev | Up | Next
seq_release | Home | register_filesystem